AurionAI Docs

Get Conversation Insights

GET
/api/v2/analytics/conversations/insights

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

date_from?|

ISO datetime lower bound

date_to?|

ISO datetime upper bound

Response Body

application/json

application/json

curl -X GET "https://loading/api/v2/analytics/conversations/insights"
{
  "agent_performance": [
    {
      "assigned_count": 0,
      "assignee_name": "string",
      "assignee_user_id": "string",
      "avg_first_response_minutes": 0,
      "avg_resolution_minutes": 0,
      "resolution_rate": 0,
      "resolved_count": 0
    }
  ],
  "aggregation_health": {
    "agent_performance_ms": 0,
    "overview_ms": 0,
    "per_query_budget_ms": 0,
    "sla_compliance_ms": 0,
    "target_conversation_volume": 0,
    "target_met": true,
    "total_budget_ms": 0,
    "total_runtime_ms": 0
  },
  "busiest_hours": [
    {
      "conversation_count": 0,
      "hour_utc": 0
    }
  ],
  "csat": {
    "avg_rating": 0,
    "distribution": [
      {
        "rating": 0,
        "response_count": 0
      }
    ],
    "positive_rate": 0,
    "positive_responses": 0,
    "rated_responses": 0,
    "total_responses": 0
  },
  "email_channel_metrics": {
    "active_channels": 0,
    "bounced_contacts": 0,
    "by_channel": [
      {
        "address": "string",
        "channel_id": "string",
        "conversation_count": 0,
        "status": "string"
      }
    ],
    "complained_contacts": 0,
    "email_conversations": 0,
    "inbound_messages": 0,
    "outbound_messages": 0,
    "total_channels": 0
  },
  "help_center_deflection": {
    "article_count": 0,
    "deflection_rate": 0,
    "helpful_feedback": 0,
    "not_helpful_feedback": 0,
    "top_articles": [
      {
        "article_id": "string",
        "helpful_count": 0,
        "not_helpful_count": 0,
        "slug": "string",
        "title": "string",
        "view_count": 0
      }
    ],
    "total_views": 0
  },
  "metadata": {},
  "sla_breach_trend": [
    {
      "breached": 0,
      "compliance_rate": 0,
      "day": "string",
      "met": 0,
      "tracked": 0
    }
  ],
  "team_performance": [
    {
      "assigned_count": 0,
      "avg_resolution_minutes": 0,
      "resolution_rate": 0,
      "resolved_count": 0,
      "team_id": "string",
      "team_name": "string"
    }
  ],
  "top_topics": [
    {
      "conversation_count": 0,
      "share": 0,
      "topic": "string"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}